Bug 842041 - Ogre3D partially broken when built with gcc4.7
Ogre3D partially broken when built with gcc4.7
Product: Fedora
Classification: Fedora
Component: ogre (Show other bugs)
All All
unspecified Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-21 03:52 EDT by Al Reay
Modified: 2012-09-08 22:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-08 22:48:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
SRPM patch file (538 bytes, patch)
2012-07-21 03:52 EDT, Al Reay
no flags Details | Diff

  None (edit)
Description Al Reay 2012-07-21 03:52:22 EDT
Created attachment 599493 [details]
SRPM patch file

Description of problem:
Ogre3D crashes when doing skeletal animation

Version-Release number of selected component (if applicable):
Affects all Ogre releases built with GCC4.7

How reproducible:
Running the Ogre SampleBrowser included in the ogre3d rpm

Steps to Reproduce:
1. Run `SampleBrowser`
2. Choose the 6th sample (named 'Character') 
3. Crash occurs immediately
Actual results:

Expected results:
Shows a basic 3D scene

Additional info:
First identified on upstream's forums http://www.ogre3d.org/forums/viewtopic.php?f=2&t=70052

I've supplied a SRPM patch file to fix this problem based on the solution suggested in the above url.
Comment 1 Bruno Wolff III 2012-07-21 09:03:07 EDT
Thanks for doing the leg work on this! I am testing building with this patch right now. Assuming the build works locally, I'll do builds in koji and submit them to updates testing today. I don't have an easy way to test this at home, so I'd appreciate feedback once the builds are available.
Comment 2 Bruno Wolff III 2012-07-21 11:18:29 EDT
I did the rawhide build. I had to change the patch a bit for rawhide as it is using 1.7.4 instead of 1.7.3.
I need to run soon, and won't start the f17 build until a bit later.
F16 has gcc 4.6, so I don't think I need to worry about that.
Comment 3 Fedora Update System 2012-07-22 11:52:05 EDT
ogre-1.7.3-3.fc16 has been submitted as an update for Fedora 16.
Comment 4 Fedora Update System 2012-07-23 16:19:58 EDT
Package ogre-1.7.3-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ogre-1.7.3-3.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Bruno Wolff III 2012-07-23 16:54:26 EDT
I oopsed here. I managed to build the update for F16 instead of F17. I have a new build started for F17. I should be able to request a push to testing tonight.
Comment 6 Fedora Update System 2012-07-23 17:24:21 EDT
ogre-1.7.3-7.fc17 has been submitted as an update for Fedora 17.
Comment 7 Al Reay 2012-07-24 03:30:42 EDT
Cool, will test it when it gets pushed.
Comment 8 Fedora Update System 2012-09-08 22:48:25 EDT
ogre-1.7.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-08 22:54:24 EDT
ogre-1.7.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.